Issue 49380

Summary: enable find and replace buttons when 'Search For' box is empty
Product: Calc Reporter: legendscrolls <marble>
Component: uiAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues, kamataki, kpalagin, kyoshida, nesshof, ooo
Version: recent-trunk   
Target Milestone: ---   
Hardware: All   
OS: All   
See Also: https://issues.apache.org/ooo/show_bug.cgi?id=108087
Issue Type: PATCH Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
proposed patch for sc
none
proposed patch for svx
none
latest patch from ooo-build master
none
latest patch from ooo-build master none

Description legendscrolls 2005-05-17 12:49:37 UTC
I would appreciate the ability to replace empty cells in the data block in a
spreadsheet to have at least a single character (a period for instance).
 One of my tasks is using OpenOffice.org's XSLT filter feature to convert
spreadsheet information to SQL or MySQL-specific insert statements to port data
into these types of databases.
 But empty SQL fields are not generated from empty cells. I still need the
presence of the empty SQL fields to keep the data aligned to the columns.
 This can be accomplished by at least enabling the find and replace buttons even
when the 'Search For' box is empty.
 Currently I have to fall back onto Microsoft Office Excel to handle the fields
and then open the spreadsheet into Calc.
Comment 1 frank 2005-06-13 11:03:21 UTC
One for the requirements team
Comment 2 ace_dent 2008-05-16 00:52:22 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently assigned to 'Requirements' pending review, but
has not been updated within the last 3 years. Please consider re-testing with
one of the latest versions of OOo, as the problem(s) may have already been
addressed. Either use the recent stable version:
http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 3 legendscrolls 2008-05-20 14:24:22 UTC
No change in Find and Replace dialog UI behavior in version 2.4 or 3 Beta.
However I have noticed that blank cells are now preserved if at least one cell
even in a later row and column has content.
This satisfies the feature request.

Thanks and keep up the good work - can't wait for OOo 3.
Comment 4 kyoshida 2009-02-22 03:55:03 UTC
Created attachment 60352 [details]
proposed patch for sc
Comment 5 kyoshida 2009-02-22 03:55:37 UTC
Created attachment 60353 [details]
proposed patch for svx
Comment 6 kyoshida 2009-02-22 03:57:04 UTC
These are my proposed changes to support this requested functionality.
Comment 7 kpalagin 2010-03-01 11:17:15 UTC
*** Issue 66555 has been marked as a duplicate of this issue. ***
Comment 8 kpalagin 2010-03-01 11:19:22 UTC
*** Issue 44688 has been marked as a duplicate of this issue. ***
Comment 9 kpalagin 2010-03-01 11:39:48 UTC
Eicke,
this change is in demand. Is it possible that we integrate this patch for 3.3?
Regards,
KP.

Kohei,
thanks a lot for this enhancement!
Comment 10 ooo 2010-06-21 12:53:29 UTC
Sigh.. forgot about this, sorry, grabbing issue from requirements queue.
Comment 11 kyoshida 2010-06-21 14:38:52 UTC
Let's be aware of Issue 108087 also while we are at it.  That touches on similar
areas.
Comment 12 kyoshida 2010-06-21 14:59:27 UTC
Created attachment 70124 [details]
latest patch from ooo-build master
Comment 13 kyoshida 2010-06-21 14:59:49 UTC
Created attachment 70125 [details]
latest patch from ooo-build master
Comment 14 kpalagin 2010-11-19 10:23:17 UTC
What is the expected date for integration of this patch?

Regards,
KP.
Comment 15 ooo 2010-11-19 10:57:22 UTC
@kpalagin: see target milestone, OOo3.4
Comment 16 kpalagin 2010-12-24 13:57:10 UTC
Eike,
too many times issues miss their target milestone.
I would greatly appreciate if this patch gets included in the code as early as 
possible.

Kohei,
is there a CWS for this patch?

Regards,
Kirill.
Comment 17 Rob Weir 2013-03-11 15:00:03 UTC
I'm adding this comment to all open issues with Issue Type == PATCH.  We have 220 such issues, many of them quite old.  I apologize for that.  

We need your help in prioritizing which patches should be integrated into our next release, Apache OpenOffice 4.0.

If you have submitted a patch and think it is applicable for AOO 4.0, please respond with a comment to let us know.

On the other hand, if the patch is no longer relevant, please let us know that as well.

If you have any general questions or want to discuss this further, please send a note to our dev mailing list:  dev@openoffice.apache.org

Thanks!

-Rob
Comment 18 Marcus 2017-05-20 10:44:30 UTC
Reset the assignee to the default "issues@openoffice.apache.org".